import net.tinyos.tools.*;

import java.io.*;
import net.tinyos.packet.*;
import net.tinyos.util.*;
import net.tinyos.message.*;

public class ListenCount {
    public static void main(String args[]) throws IOException {
		
	PacketSource reader = BuildSource.makePacketSource();
	if (reader == null) {
	    System.err.println("Invalid packet source (check your MOTECOM environment variable)");
	    System.exit(2);
	}

	try {
	  reader.open(PrintStreamMessenger.err);
	  for (;;) {
	    byte[] packet = reader.readPacket();
	    double first = (double)unsignedByteToInt(packet[11]);
	    double second = (double)unsignedByteToInt(packet[10]);
	    double light = 256.0d*first+second;
	    System.out.println(light);
	    System.out.flush();
	  }
	}
	catch (IOException e) {
	    System.err.println("Error on " + reader.getName() + ": " + e);
	}
    }
    
    public static int unsignedByteToInt(byte b) 
    {
        return (int) b & 0xFF;
    }
}

